SSH doesn't answer post-2.2 upgrade

07/06/2014 04:09 PM - Chris Buechler

Status: Rejected Start date: 07/06/2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Operating System Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version: 2.2

Release Notes:  Affected

Architecture:

 

Description

After upgrade from 2.1.4, on at least 32 bit, SSH is running properly but sends a RST back when attempting to connect to the port it

should be using. When restarting it under Status>Services, it fails with:

Jul 6 16:12:57     php: sshd: New alert found: pfSense has started creating your SSH keys. SSH Sta

rtup will be delayed. Please note that reloading the filter rules and changes will be delayed unti

l this operation is completed.

Jul 6 16:12:58     php: sshd: New alert found: pfSense has completed creating your SSH keys. SSH i

s now started.

Jul 6 16:12:58     sshd[12805]: Received signal 15; terminating.

Jul 6 16:12:58     php: sshd: The command '/usr/sbin/sshd' returned exit code '255', the output wa

s 'bad addr or host: <NULL> (hostname nor servname provided, or not known)'

Jul 6 16:12:58     php: sshd: New alert found: SSHD failed to start.

 The system had SSH keys from prior to the upgrade, it shouldn't have needed to generate new keys.

History

#1 - 07/07/2014 06:19 PM - Renato Botelho

What is the snapshot timestamp? I tested on Sun Jul 06 14:26:03 CDT 2014 and it's ok

About the sshd keys being regenerated, the code checks for all keys and if one of them doesn't exist it re-creates all of them. Since new types were

added on 2.2 (ecdsa and ed25519), they are always missing and keys are re-generated. Maybe we should change it to re-create only missing keys.

#2 - 07/09/2014 03:10 AM - Chris Buechler

- Status changed from New to Rejected

root cause in #3749

#3 - 07/27/2015 11:10 PM - Chris Buechler

- Target version deleted (2.2)
